Package com.avaya.clientservices.downloadservice

## Enum DownloadServiceError

- java.lang.Object
- - java.lang.Enum<DownloadServiceError>
  - - com.avaya.clientservices.downloadservice.DownloadServiceError

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<DownloadServiceError>`

      public enum DownloadServiceError
      extends java.lang.Enum<DownloadServiceError>

  Enumeration representing failure of a download service operation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTHENTICATION_FAILURE` | An invalid username or password was provided.
    `BINARY_DATA_EXCEEDS_MAX_SIZE` | Max size of the downloaded binary data is exceeded.
    `CANCELLED` | Operation was cancelled.
    `CLIENT_CERTIFICATE_BAD` | Client certificate is corrupt or in other way invalid.
    `CLIENT_CERTIFICATE_CA_UNKNOWN` | Client certificate was issued by an unknown authority.
    `CLIENT_CERTIFICATE_EXPIRED` | Client certificate has expired.
    `CLIENT_CERTIFICATE_MISSING` | Client certificate is missing.
    `CLIENT_CERTIFICATE_REVOKED` | Client certificate was revoked by the issuing authority.
    `CLIENT_CERTIFICATE_UNSUPPORTED` | Client certificate type is not supported by the server.
    `CONNECTION_FAILURE` | Connection errors (host unreachable, proxy error, connection lost, etc.)
    `ERROR_WRITING_TO_FILE` | Writing to file error (No space left on device, Permission access denied).
    `FAILED` | Operation has failed.
    `INVALID_CONTENT_TYPE` | Invalid Content-Type is received.
    `INVALID_DESTINATION_DIRECTORY` | Reported when invalid Destination Directory is used for the request.
    `INVALID_IDENTITY_CERTIFICATE` | Client identity certificate is rejected by the server.
    `NETWORK_UNAVAILABLE` | Operation has failed due to no network connectivity.
    `PROXY_AUTHENTICATION_ERROR` | The authentication credentials provided for logging into the proxy were rejected.
    `PROXY_CONNECTION_ERROR` | A connection could not be established to the proxy server.
    `SECURE_CONNECTION_ERROR` | The request was rejected due to an SSL error.
    `SERVER_CERTIFICATE_ERROR` | The request was rejected due to certificate error.
    `SERVER_ERROR` | The server rejected the request (4xx,5xx).
    `UNSUPPORTED_PROTOCOL` | The request was rejected due to unsupported protocol.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DownloadServiceError` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static DownloadServiceError[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAILED

          public static final DownloadServiceError FAILED

      Operation has failed. The failure reason was not specified.

    - #### CONNECTION_FAILURE

          public static final DownloadServiceError CONNECTION_FAILURE

      Connection errors (host unreachable, proxy error, connection lost, etc.)

    - #### AUTHENTICATION_FAILURE

          public static final DownloadServiceError AUTHENTICATION_FAILURE

      An invalid username or password was provided.

    - #### SERVER_CERTIFICATE_ERROR

          public static final DownloadServiceError SERVER_CERTIFICATE_ERROR

      The request was rejected due to certificate error.

    - #### SECURE_CONNECTION_ERROR

          public static final DownloadServiceError SECURE_CONNECTION_ERROR

      The request was rejected due to an SSL error.

    - #### INVALID_DESTINATION_DIRECTORY

          public static final DownloadServiceError INVALID_DESTINATION_DIRECTORY

      Reported when invalid Destination Directory is used for the request.

    - #### SERVER_ERROR

          public static final DownloadServiceError SERVER_ERROR

      The server rejected the request (4xx,5xx).

    - #### UNSUPPORTED_PROTOCOL

          public static final DownloadServiceError UNSUPPORTED_PROTOCOL

      The request was rejected due to unsupported protocol.

    - #### ERROR_WRITING_TO_FILE

          public static final DownloadServiceError ERROR_WRITING_TO_FILE

      Writing to file error (No space left on device, Permission access denied).

    - #### INVALID_CONTENT_TYPE

          public static final DownloadServiceError INVALID_CONTENT_TYPE

      Invalid Content-Type is received.

    - #### CLIENT_CERTIFICATE_MISSING

          public static final DownloadServiceError CLIENT_CERTIFICATE_MISSING

      Client certificate is missing.

    - #### CLIENT_CERTIFICATE_BAD

          public static final DownloadServiceError CLIENT_CERTIFICATE_BAD

      Client certificate is corrupt or in other way invalid.

    - #### CLIENT_CERTIFICATE_UNSUPPORTED

          public static final DownloadServiceError CLIENT_CERTIFICATE_UNSUPPORTED

      Client certificate type is not supported by the server.

    - #### CLIENT_CERTIFICATE_REVOKED

          public static final DownloadServiceError CLIENT_CERTIFICATE_REVOKED

      Client certificate was revoked by the issuing authority.

    - #### CLIENT_CERTIFICATE_EXPIRED

          public static final DownloadServiceError CLIENT_CERTIFICATE_EXPIRED

      Client certificate has expired.

    - #### CLIENT_CERTIFICATE_CA_UNKNOWN

          public static final DownloadServiceError CLIENT_CERTIFICATE_CA_UNKNOWN

      Client certificate was issued by an unknown authority.

    - #### INVALID_IDENTITY_CERTIFICATE

          public static final DownloadServiceError INVALID_IDENTITY_CERTIFICATE

      Client identity certificate is rejected by the server.

    - #### CANCELLED

          public static final DownloadServiceError CANCELLED

      Operation was cancelled.

    - #### BINARY_DATA_EXCEEDS_MAX_SIZE

          public static final DownloadServiceError BINARY_DATA_EXCEEDS_MAX_SIZE

      Max size of the downloaded binary data is exceeded.

    - #### NETWORK_UNAVAILABLE

          public static final DownloadServiceError NETWORK_UNAVAILABLE

      Operation has failed due to no network connectivity.

    - #### PROXY_CONNECTION_ERROR

          public static final DownloadServiceError PROXY_CONNECTION_ERROR

      A connection could not be established to the proxy server.

    - #### PROXY_AUTHENTICATION_ERROR

          public static final DownloadServiceError PROXY_AUTHENTICATION_ERROR

      The authentication credentials provided for logging into the proxy were rejected.

  - ### Method Detail

    - #### values

          public static DownloadServiceError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DownloadServiceError c : DownloadServiceError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DownloadServiceError valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null